Generate AI videos using Wan 2.2 with text-to-video and image-to-video capabilities. Produces silent video only at 480p or 1080p resolution.

Model

alibaba/wan-2.2

Parameters

ParameterTypeRequiredDescription
promptstringYesText description of the video
modestringNot2v or i2v (default: t2v)
start_image_urlstringNoFirst-frame image URL (required for i2v)
negative_promptstringNoWhat to avoid in the video
resolutionstringNo480p or 1080p (default: 480p)
durationintegerNoFixed at 5 seconds
prompt_extendbooleanNoIntelligent prompt rewriting (default: true)
watermarkbooleanNoAdd watermark (default: false)
seedintegerNoSeed for reproducibility
Wan 2.2 produces silent video only. audio, audio_url, video_urls, and multi_prompt are not supported.

Example - Text-to-Video

curl -X POST https://api.unifically.com/v1/tasks \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
    "model": "alibaba/wan-2.2",
    "input": {
      "prompt": "A street musician plays guitar in a vintage subway station",
      "mode": "t2v",
      "resolution": "1080p"
    }
  }'

Example - Image-to-Video

curl -X POST https://api.unifically.com/v1/tasks \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
    "model": "alibaba/wan-2.2",
    "input": {
      "prompt": "Gentle waves lapping against the shore",
      "mode": "i2v",
      "start_image_url": "https://example.com/beach.jpg",
      "resolution": "480p"
    }
  }'

Response

{
  "code": 200,
  "success": true,
  "data": {
    "task_id": "abc123def456",
    "status": "pending"
  }
}